<template>
<j-modal :title="title" :width="width" :visible="visible" switchFullscreen @ok="handleOk" :okButtonProps="{ class: { 'jee-hidden': disableSubmit } }" @cancel="handleCancel" cancelText="关闭">
    <template slot="footer">
        <a-button key="back" @click="handleCancel">
            关闭
        </a-button>
        <!-- <a-button v-if="!flag" key="submit" type="primary" @click="handleOk">
            确认
        </a-button> -->
    </template>
    <picking-goods-order ref="realForm" @ok="submitCallback" :disabled="disableSubmit" :depositoryId="depositoryId"></picking-goods-order>
</j-modal>
</template>

<script>
import PickingGoodsOrder from "./selectGoodsForm.vue";
export default {
    name: "SelectGoodsModal",
    components: {
        PickingGoodsOrder,
    },
    data() {
        return {
            title: "",
            width: 800,
            visible: false,
            disableSubmit: false,
            depositoryId: "",
        };
    },
    methods: {
        add() {
            this.visible = true;
            // this.$nextTick(()=>{
            //   this.$refs.realForm.add();
            // })
        },
        edit(record) {
            this.visible = true;
            this.$nextTick(() => {
                this.$refs.realForm.edit(record);
            });
        },
        close() {
            this.$emit("close");
            this.visible = false;
        },
        handleOk() {
            this.$refs.realForm.submitForm();
        },
        submitCallback(e) {
            this.$emit("ok", e);
            this.visible = false;
        },
        handleCancel() {
            this.close();
        },
    },
};
</script>
